-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
deferred class BASIC_REF
   -- Common root of BOOLEAN_REF, CHARACTER_REF, INTEGER_REF
   -- REAL_REF, DOUBLE_REF and POINTER_REF.

feature

   item: ANY is
      deferred
      end;

feature

   frozen set_item(value: like item) is
      deferred
      end;

feature -- Object Printing :

   frozen fill_tagged_out_memory is
      do
	 tagged_out_memory.append("item: "); 
	 item.fill_tagged_out_memory;
      end;

end -- BASIC_REF
